// Glenn Josefiak
// Fairfield University
// SW513
// Spring 2003

package j2d.gui;

import javax.swing.*;
import java.awt.*;

/**
 * MDI child frame for displaying an image
 */
public class ImageChildFrame extends JInternalFrame {
    private ImagePanel ipnDisplay = new ImagePanel();
    private Image imgBaseImage;

    /**
     * Construct a new frame with the specified base image and
     * title.
     *
     * @param img   The base image.  This is the intially displayed
     *              image and the one on which signal processing is
     *              performed.
     * @param title Text for the frame's title bar
     */
    public ImageChildFrame(Image img, String title) {
        ipnDisplay = new ImagePanel();
        ipnDisplay.setImage(img);
        imgBaseImage = img;
        JScrollPane jsp = new JScrollPane();
                jsp.setViewportView(ipnDisplay);
        setTitle(title);

        setImage(img);

        Container c = getContentPane();
        c.setLayout(new BorderLayout());
        c.add(jsp, BorderLayout.CENTER);

        setMinimumSize(new Dimension(100, 100));
        setClosable(true);
        setMaximizable(true);
        setResizable(true);
    }

    /**
     * Obtain a handle to the base image.
     */
    public Image getBaseImage() {
        return imgBaseImage;
    }

    /**
     * Obtain a handle to the displayed image.
     */
    public Image getDisplayedImage() {
        return ipnDisplay.getImage();
    }

    /**
     * Display the base image.
     */
    public void revert() {
        ipnDisplay.setImage(imgBaseImage);
    }

    public void setImage(Image img) {
        if (img==null) System.out.println("img==null!");
        if (ipnDisplay == null) System.out.println("ipnDisplay==null!");
        ipnDisplay.setImage(img);
    }
}